| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
mpl3115_DataBuffer_t Struct Reference
fsl_mpl3115_i2c_1D_press module documentation

This structure defines the dummy DSA data buffer format. More...

`#include <fsl_mpl3115_i2c_1D_press.h>`

Collaboration diagram for mpl3115_DataBuffer_t:

## Data Fields
uint32 | timestamp
| Time stamp value in micro-seconds. More...
uint32 | pressure
int32 | altitude
int16 | temperature

## Detailed Description

This structure defines the dummy DSA data buffer format.

Definition at line 52 of file fsl_mpl3115_i2c_1D_press.h.

## Field Documentation

int32 altitude

Sensor altitude output: 2's complement 20-bits justified to MSBs; MS 16-bits are integer meters; LS 4-bits are fractional meters.

Definition at line 59 of file fsl_mpl3115_i2c_1D_press.h.

Referenced by fsl_mpl3115_i2c_1D_press_Initialize(), and mpl3115_GetData().

uint32 pressure

Sensor pressure output: unsigned 20-bits justified to MSBs; MS 18-bits are integer Pascals; LS 2-bits are fractional Pascals.

Definition at line 56 of file fsl_mpl3115_i2c_1D_press.h.

Referenced by fsl_mpl3115_i2c_1D_press_Initialize(), and mpl3115_GetData().

int16 temperature

Sensor temperature output; 2's complement 12-bits justified to MSBs; MS 8-bits are integer degrees Celsius; LS 4-bits are fractional degrees Celsius.

Definition at line 62 of file fsl_mpl3115_i2c_1D_press.h.

Referenced by fsl_mpl3115_i2c_1D_press_Initialize(), and mpl3115_GetData().

uint32 timestamp

Time stamp value in micro-seconds.

Definition at line 54 of file fsl_mpl3115_i2c_1D_press.h.

Referenced by fsl_mpl3115_i2c_1D_press_Initialize(), and fsl_mpl3115_i2c_1D_press_PeriodicCallback().

The documentation for this struct was generated from the following file:

- SensorSpecific/fsl_mpl3115_i2c_1D_press.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.